/**
 * Copyright 2013-2023 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export default class AbstractJDLOption {
    name: any;
    entityNames: Set<string>;
    excludedNames: any;
    constructor(args: any);
    addEntityName(entityName: any): false | Set<string>;
    addEntitiesFromAnotherOption(option: any): boolean;
    excludeEntityName(entityName: any): void;
    getType(): void;
    setEntityNames(newEntityNames: any): void;
    /**
     * Resolves the option's list of entity names (without '*' and taking into account the excluded names).
     * @param entityNames all the entity names declared in a JDL Object.
     * @returns the resolved list.
     */
    resolveEntityNames(entityNames: string[]): Set<string>;
}
